/* gmos - GTK Metal/Oxyde Semiconductor
 * Copyright (C) 1998 Emmanuel Rouat
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

char *convert_to_char(double data);
void delete_event (GtkWidget *widget, gpointer data);
void enter_callback(GtkWidget *entry, double *entered_value);
void enter_I_callback(GtkWidget *entry, double *entered_value);
void init_parameters(void);
void message(char *c);
void mos_type_callback(GtkWidget *widget, int *type);
void output(char *c);
void range_callback(GtkAdjustment *adj, double *entered_value);
void run_callback(GtkWidget *widget, int *toto);
void set_I(GtkWidget *checkbutton, GtkWidget *entry);
void set_level_callback(GtkWidget *widget, int *model);
void set_wanted_callback(GtkWidget *widget, GtkWidget *entry);
void update_outputs(GtkWidget *widget, gpointer *data);




GtkWidget *make_new_entry_scale(double *var,
				gfloat lower, gfloat upper,
				gfloat step_inc, gfloat page_inc,
				gfloat page_size,const char *label,
				gpointer wanted,GtkWidget *button,
				GtkWidget *entry);



GtkWidget *make_new_output(double *var,const char *label,GtkWidget *entry);
void get_main_menu (GtkWidget *, GtkWidget **menubar);
void tie_source_to_bulk();


